"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMockConfig = exports.getRcbConfig = void 0;
const getWebpackConfig_1 = __importDefault(require("./getWebpackConfig"));
const utils_1 = __importDefault(require("./utils"));
const paths_1 = __importDefault(require("./paths"));
const defaultMockConfig = {
    rootDir: 'mock',
    api: '/api',
    whiteList: [] // 放行的接口
};
function getRcbConfig() {
    try {
        return utils_1.default.requireModule(paths_1.default.getResolvePath('rcb.config.js'));
    }
    catch (e) {
        return {};
    }
}
exports.getRcbConfig = getRcbConfig;
function getMockConfig(rcb) {
    try {
        const mockrc = require(paths_1.default.getResolvePath('.mockrc.json'));
        return Object.assign({}, defaultMockConfig, rcb.mock, mockrc);
    }
    catch (e) {
        return Object.assign({}, defaultMockConfig);
    }
}
exports.getMockConfig = getMockConfig;
function getBabelConfig() {
    // TODO
    return {};
}
function getExtraConfig(options) {
    const rcb = getRcbConfig();
    const mockConfig = getMockConfig(rcb);
    rcb.mock = mockConfig;
    return {
        webpack: getWebpackConfig_1.default(rcb, options),
        babel: getBabelConfig(),
        rcb
    };
}
exports.default = getExtraConfig;
