"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const utils_1 = __importDefault(require("./utils"));
function getPath(fileName) {
    const basePath = __dirname;
    return path_1.default.resolve(basePath, fileName);
}
function getLoader(filePath, ...args) {
    const getLoaderFn = utils_1.default.requireModule(filePath);
    if (utils_1.default.isFunction(getLoaderFn)) {
        return getLoaderFn(...args);
    }
    return {};
}
function getLoaders(...args) {
    const configPath = getPath('getLoaderConfig');
    const rcbConfig = args[0];
    return [
        getLoader(configPath + '/disabledMjsLoader', ...args),
        {
            oneOf: [
                'getCssLoader',
                'getLessLoader',
                rcbConfig.useEsBuild ? 'getTsEsBuildLoader' : 'getTsLoader',
                rcbConfig.useEsBuild ? 'getJsEsBuildLoader' : 'getBabelLoader',
                'getDevBabelLoader',
                'getUrlLoader',
                'getFileLoader',
            ].map(p => {
                return getLoader(configPath + '/' + p, ...args);
            })
        }
    ];
}
exports.default = getLoaders;
;
