"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const terser_webpack_plugin_1 = __importDefault(require("terser-webpack-plugin"));
const utils_1 = __importDefault(require("./utils"));
function getOptimization() {
    let baseOptim = {};
    if (utils_1.default.isProduction()) {
        baseOptim = Object.assign({}, baseOptim, {
            minimize: true,
            minimizer: [new terser_webpack_plugin_1.default({
                    extractComments: false,
                    terserOptions: {
                        parse: {
                            ecma: 5,
                        },
                        compress: {
                            ecma: 5,
                            comparisons: false,
                            inline: 2,
                        },
                        mangle: {
                            safari10: true,
                        },
                        output: {
                            ecma: 5,
                            comments: false,
                            ascii_only: true,
                        },
                    }
                })]
        });
    }
    return baseOptim;
}
exports.default = getOptimization;
;
