import { RcbConfig } from '../getConfig';
import { FILE_REGEX } from '../common/constant';
import utils from '../utils';

export default function getUrlLoader(rcb: RcbConfig) {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('url-loader'),
            options: {
                limit: 10000,
                name: utils.isDev()
                    ? 'images/[name].[ext]'
                    : '/images/[name].[ext]?[contenthash]',
                esModule: rcb.esModuleImage || false
            }
        },
        type: 'javascript/auto'
    });
};
