import TerserPlugin from 'terser-webpack-plugin';

import utils from './utils';

export default function getOptimization() {
    let baseOptim: any = {};

    if (utils.isProduction()) {
        baseOptim = Object.assign({}, baseOptim, {
            minimize: true,
            minimizer: [new TerserPlugin({
                extractComments: false,
                terserOptions: {
                    parse: {
                        ecma: 5,
                    },
                    compress: {
                        ecma: 5,
                        comparisons: false,
                        inline: 2,
                    },
                    mangle: {
                        safari10: true,
                    },
                    output: {
                        ecma: 5,
                        comments: false,
                        ascii_only: true,
                    },
                }
            })]
        });
    }

    return baseOptim;
};
